Bug 20329 - Text input fields are wider than the fieldset class they are inside of
Summary: Text input fields are wider than the fieldset class they are inside of
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20668
  Show dependency treegraph
 
Reported: 2018-03-04 05:34 UTC by Alex Buckley
Modified: 2018-05-03 16:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20329 - Shortened the width of text input fields (1.71 KB, patch)
2018-03-04 09:06 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 20329 - Shortened the width of text input fields (1.72 KB, patch)
2018-03-04 09:08 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 20329 - Shortened the width of text input fields (1.72 KB, patch)
2018-03-27 00:29 UTC, M. Tompsett
Details | Diff | Splinter Review
k (1.79 KB, patch)
2018-03-30 11:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20329: Shorten the width of text input fields (1.83 KB, patch)
2018-03-30 11:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20329: Text input fields are wider than the fieldset class they are inside of (5.24 KB, patch)
2018-04-25 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20329: Text input fields are wider than the fieldset class they are inside of (5.33 KB, patch)
2018-04-25 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20329: Shorten the width of text input fields (1.83 KB, patch)
2018-04-27 06:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20329: Text input fields are wider than the fieldset class they are inside of (5.32 KB, patch)
2018-04-27 06:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2018-03-04 05:34:10 UTC
The input text fields in the following pages of the Koha staff client are wider than the fieldset class elements they are contained within:

acqui/invoices.tt
members/member.tt
circ/overdue.tt
acqui/parcel.tt
Comment 1 Alex Buckley 2018-03-04 09:06:29 UTC Comment hidden (obsolete)
Comment 2 Alex Buckley 2018-03-04 09:08:29 UTC Comment hidden (obsolete)
Comment 3 jmbroust 2018-03-15 11:23:03 UTC
I could not see any difference after applying the patch and I am not sure to understand very well the goal of this patch (because of my english level?). Any picture appreciated.
Comment 4 M. Tompsett 2018-03-27 00:23:55 UTC
(In reply to jmbroust from comment #3)
> I could not see any difference after applying the patch and I am not sure to
> understand very well the goal of this patch (because of my english level?).
> Any picture appreciated.

What is also not mentioned is restart_all on a kohadevbox. Caching is such a pain.
Comment 5 M. Tompsett 2018-03-27 00:29:49 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2018-03-30 11:17:48 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2018-03-30 11:19:03 UTC
Mark, your sign-off line is missing. I've added it in.
Comment 8 Katrin Fischer 2018-03-30 11:20:20 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2018-03-30 11:21:36 UTC
Will need a follow-pu, if pushed after bug 19474.
Comment 10 Jonathan Druart 2018-04-02 20:49:07 UTC
It is not a good idea to specify a size in px, you should use a relative lenght instead.

We already have
 div.yui-b fieldset.brief select {                                                                                                                                                            
        width: 12em;                                                                                                                                                                          
 }

12em sounds like a good value here.

Maybe the following addition would be enough:
 div.yui-b fieldset.brief input {
        width: 12em;                                                                                                                                                                          
 }
Comment 11 Owen Leonard 2018-04-25 12:49:17 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2018-04-25 13:43:33 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2018-04-27 06:30:31 UTC
Created attachment 74901 [details] [review]
Bug 20329: Shorten the width of text input fields

This makes the text input fields fit tidily within the border of the
fieldset class elements they are within.

Test plan:
1. Go to the acqui/invoices.pl, members/members-home.pl,
circ/overdue.pl, acqui/parcel.pl and notice that the text input fields
on the fieldset element on the left hand side of the screen for
filtering search results are too wide and go over the border of the
fieldset element

2. Apply patch

3. Refresh the aforementioned pages and notice the text inputs have a
shortened width and now fit within the fielset class element

Sponsored-By: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2018-04-27 06:30:35 UTC
Created attachment 74902 [details] [review]
Bug 20329: Text input fields are wider than the fieldset class they are inside of

This alternate patch defines a width of 100% for text inputs and selects
inside sidebar fieldsets. The scope of this style is limited to the
sidebar by unsetting the width for fieldsets within "#yui-main," the
main body of the page.

This patch also removes inline styles from two templates which are now
unnecessary.

To test, apply the patch and clear your cache if necessary.

View various pages which have a sidebar search form: acqui/invoices.pl,
members/members-home.pl, circ/overdue.pl, acqui/parcel.pl. Confirm that
form fields in the sidebar look correct.

Confirm that other forms styled with the "brief" class aren't
unintentionally affected by this patch. For example:
circ/request-article.pl, members/member-password.pl,
reports/reports-home.pl, reserve/request.pl

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2018-05-03 16:41:12 UTC
Pushed to master for 18.05, thanks to everybody involved!